%define name gkrellm-plugins
%define version 1.2.1
%define release 1mdk

Name:		%{name}
Summary:	Plugins for gkrellm
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Monitoring
URL:		http://gkrellm.net/
Source0:	%{name}.tar.bz2
Source1:	gkrellmms-0.5.5.tar.bz2
Source2:	gkrellweather-0.2.7.tar.bz2
Source3:	volume-0.8.tar.bz2
Source4:	mailwatch-0.2.tar.bz2
Source5:	gkrellm-pmu-1.4.tar.bz2
Source6: 	gkrellm-gnome.tar.bz2
Patch0: 	gkrellm-pmu-makefile.patch.bz2
Requires:	gtk+ >= 1.2, glib >= 1.2, imlib, gkrellm = %{version}
%ifarch ppc
Requires: pmud
%endif
BuildPreReq:	gkrellm-devel = %{version} libxmms1-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}/X11R6

%description
This package contains some plugins for gkrellm.  Included are the following
plugins:

  * plugin_fan, uses lm_sensors to display fan speeds
  * gkrellmms, controls xmms
  * gkrellweather, checks and reports current weather conditions
  * volume, controls mixer
  * mailwatch, watches individual mailboxes for new mail
  * gkrellm-pmu, Mac-OS like power monitor for PPC, x86
  * gkrellm-gnome, add GNOME capabilities to gkrellm

It also includes fetcho, a slim POP3-checking email client that can be used
instead of fetchmail

%prep
%setup -q -n %{name}
%setup -q -T -D -c -a 1 -n %{name}
%setup -q -T -D -c -a 2 -n %{name}
%setup -q -T -D -c -a 3 -n %{name}
%setup -q -T -D -c -a 4 -n %{name}
%setup -q -T -D -c -a 5 -n %{name}
%setup -q -T -D -c -a 6 -n %{name}
%patch0 -p1

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}
(cd $RPM_BUILD_DIR/%{name}
# unsupported now?
make CFLAGS="$RPM_OPT_FLAGS" -f Makefile.plugin_fan
gcc $RPM_OPT_FLAGS -o fetcho fetcho-pop-2.c
)
(cd $RPM_BUILD_DIR/%{name}/gkrellmms
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellweather-0.2.7
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd $RPM_BUILD_DIR/%{name}/volume
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd $RPM_BUILD_DIR/%{name}/mailwatch
make CFLAGS="$RPM_OPT_FLAGS"
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-pmu
make 
)
(cd $RPM_BUILD_DIR/%{name}/gkrellm-gnome
make CFLAGS="$RPM_OPT_FLAGS"
)


%install
mkdir -p %{buildroot}%{_libdir}/gkrellm/plugins
mkdir -p %{buildroot}%{_prefix}/X11R6/bin
mkdir -p %{buildroot}%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/plugin_fan.so %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/fetcho %{buildroot}%{_bindir}
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellmms/gkrellmms.so %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellweather-0.2.7/gkrellweather.so %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellweather-0.2.7/GrabWeather %{buildroot}/usr/X11R6/bin
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/volume/volume.so %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/mailwatch/mailwatch.so %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-pmu/pmu.so %{buildroot}/usr/lib/gkrellm/plugins
install -c -s -m 755 $RPM_BUILD_DIR/%{name}/gkrellm-gnome/src/gkrellm-gnome.so  %{buildroot}/usr/lib/gkrellm/plugins


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}


%files
%defattr(-,root,root,0755)
%{_libdir}/gkrellm/plugins/*
%{_prefix}/X11R6/bin/GrabWeather
%{_bindir}/fetcho


%changelog
* Wed Aug  9 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.1-1mdk
- rebuild for 1.2.1 - move plugins to /usr/lib/gkrellm per FHS
- add gkrellm-pmu, gkrellm-gnome (marc heckmann)

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.8-1mdk
- rebuild for 1.0.8
- updated plugins

* Wed Mar 14 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.7-1mdk
- rebuild for 1.0.7

* Wed Jan 31 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.6-1mdk
- rebuild for 1.0.6

* Tue Jan 23 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.5-1mdk
- rebuild for 1.0.5

* Tue Jan 16 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.4-1mdk
- rebuild for 1.0.4
- plugin_fan compiles again so it's back in

* Sun Jan 07 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.3-1mdk
- rebuild for 1.0.3
- remove the plugin_fan plugin...  doesn't look like it's supported anymore
  and it won't build anymore either

* Wed Nov 15 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.2-1mdk
- build for 1.0.2
- rename primary sourcefile so it has no version (silly to keep changing
  it for every new version since the plugins don't change)

* Fri Oct 20 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.1-1mdk
- build for 1.0.1

* Fri Oct 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.0-1mdk
- build for 1.0.0

* Mon Aug  7 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.5-1mdk
- build for 0.10.5
- added stricter version checking for dependencies

* Wed Jul 12 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.4-1mdk
- new package for gkrellm plugins
- gkrellmms 0.5.4
- add gkrellweather 0.2.3
- add volume 0.6
- add mailwatch 0.2
- added slim fetcho email fetching client
- remove seti@home since it never compiles properly
